
/// <amd-dependency path="text!./paginator-template.html" name="paginatorTemplate" />
import PaginatorController from './paginator-controller';

declare var paginatorTemplate;


export class NwfPaginator{

    static NAME:string = 'nwfPaginator';

    public restrict = 'E';
    public replace = true;
    public template = paginatorTemplate;
    public require = '^nwfGridParamsController';
    public bindToController = true;
    public controllerAs = 'paginator';
    public controller = PaginatorController;
    public link = function(scope, element, attrs, gridParamsController) {
        scope.paramsCtrl = gridParamsController;
    };

    constructor() {

    }

}
// export factory function
export function NwfPaginatorFactory():NwfPaginator {
    return new NwfPaginator();
}
