

import * as angular from 'angular';
import { NwfHelp, NwfHelpFactory } from './nwfHelp-directive';
import nwfHelpService from './nwfHelp-service';



export default class NwfHelpModule {

    static NAME: string = 'nwfHelpModule';

    static DEPENDENCIES: Array<string> = [

    ];


    private native: angular.IModule;

    constructor() {        
        this.native = angular.module(NwfHelpModule.NAME, NwfHelpModule.DEPENDENCIES);
        this.native.directive(NwfHelp.NAME, NwfHelpFactory);
        this.native.service('nwfHelpService', nwfHelpService);
    }
    


}
