/// <amd-dependency path="text!./columnChooser-template.html" name="chooserTemplate" />
import ColumnChooserController from './columnChooser-controller';

declare var chooserTemplate;

export class NwfColumnChooser {

    static NAME: string = 'nwfColumnChooser';

    restrict = 'E';
    replace = true;
    template = chooserTemplate;
    bindToController = {
        options: '<',
        selections: '<',
        gridApi: '=',
        popoverPlacement: '@'
    };
    controllerAs = 'columnChooserCtrl';
    controller = ColumnChooserController;

}
// export factory function
export function NwfColumnChooserFactory(): NwfColumnChooser {
    return new NwfColumnChooser();
}
