/// <amd-dependency path="text!./selection-template.html" name="selectionTemplate" />
import SelectionController from './selection-controller';
declare var selectionTemplate;

export class NwfGridSelection {
    static NAME: string = 'nwfGridSelection';
    template = selectionTemplate;
    controller = SelectionController;
    bindings = {
        gridApi: '<',
        areAllItemsSelected: '<',
        selectedItems: '=',
        uniqueKey: '@',
        itemName: '@?',
        totalItemCount: '@?'
    };
}

// export factory function
export function NwfGridSelectionFactory(): NwfGridSelection {
    return new NwfGridSelection();
}
